Bug 3469 - Lost patron card tracking
Summary: Lost patron card tracking
Status: RESOLVED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 03:47 UTC by Jane Wagner
Modified: 2016-06-19 21:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Lost card screenshot (7.27 KB, image/jpeg)
2009-08-02 15:49 UTC, Chris Cormack
Details
Squashed commit (16.24 KB, patch)
2011-02-24 12:16 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Follow-up corrections (3.22 KB, patch)
2011-02-24 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:02 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 15:47:00 ----

Sponsored by East Brunswick Public Library, East Brunswick, NJ, USA

Adds the ability to retain lost card numbers on the patron record, and restore old card numbers if requested.  The lost card numbers are searchable.



---- Additional Comments From jwagner@ptfs.com 2009-08-02 15:49:25 ----

Created an attachment
Lost card screenshot





---- Additional Comments From jwagner@ptfs.com 2010-05-12 12:22:06 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3469

It's been pulled off into a feature branch: cherry picked, tidied and pushed to http://git.koha-community.org/gitweb/?p=koha.git;a=shortlog;h=refs/heads/new_features_ptfs_lost_cards for future integration



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3469 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3469
Imported an attachment (id=1326)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
The original submitter of attachment 1326 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Marcel de Rooy 2011-02-24 11:38:09 UTC
Can't find patch to apply. Please attach. Resetting patch status.
Comment 2 Marcel de Rooy 2011-02-24 12:16:56 UTC
Created attachment 3202 [details] [review]
Squashed commit
Comment 3 Marcel de Rooy 2011-02-24 12:19:46 UTC
(In reply to comment #1)
> Can't find patch to apply. Please attach. Resetting patch status.

Found it altogether under branch origin/new_features_ptfs_lost_cards. Can still be merged with current master, or use squashed commit from previous comment.
Comment 4 Owen Leonard 2011-02-24 14:17:56 UTC
- Merge error? Patron search results table duplicated (/cgi-bin/koha/members/member.pl)
- moremember.pl refers to a non-existent granular permission, "CAN_user_borrowers_edit_borrowers"
Comment 5 Owen Leonard 2011-02-24 14:22:34 UTC
I see that one of the commit messages refers to "Added granular permission check to previous cardnumber feature," but there isn't any code included to add a new permission.
Comment 6 Owen Leonard 2011-02-24 14:38:58 UTC
Line 125 of Stats.pm needs a correction for this to work. It should be:

my $member = C4::Members::GetMember( borrowernumber => $borrowernumber );
Comment 7 Owen Leonard 2011-02-24 14:56:07 UTC
Created attachment 3205 [details] [review]
Follow-up corrections

This patch makes the necessary correction to Stats.pm and removes the check for the granular edit permission. I would prefer for the edit permission to be properly added, but at least this patch gets it working.
Comment 8 Katrin Fischer 2016-06-19 21:52:47 UTC
Closing this in favor of improved patron logging (bug 3820 for a starting point, see also recent discussion on the mailing list)